=== debian/changelog ===
pgagent (3.4.0-3) unstable; urgency=medium

  * No-change upload to build extension against PostgreSQL 9.4.

 -- Martin Pitt <mpitt@debian.org>  Tue, 29 Jul 2014 07:19:46 +0200

pgagent (3.4.0-2) unstable; urgency=medium

  * Taking over package from Gerfried, thanks!
  * Set team as maintainer.
  * Packaging moved to git.
  * Remove obsolete README.Debian and README.source files.
  * Run a test job from debian/tests/installcheck.
  * Update to use wxwidgets3.0. Original patch by Olly Betts, though this
    is a simplified version of his patch. Thanks! Closes: #749454.
  * Note supported PostgreSQL versions in binary control.

 -- Christoph Berg <myon@debian.org>  Thu, 29 May 2014 21:11:18 +0200

pgagent (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Use source format 3.0.
  * Use dh rules file.
  * Add -s to manpage.
  * Provide extension files for the remaining supported PostgreSQL versions
    using symlinks. (No-op in Debian, useful for pgapt and backports.)
  * Test extension using autopkgtest.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Mar 2014 17:30:09 +0100

pgagent (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to point to http://ftp.postgresql.org/pub/
  * Add myself to Uploaders.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Oct 2013 12:00:42 +0200

pgagent (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Relicense packaging under WTFPLv2.
  * Add recommended targets build-{arch,indep} to debian/rules.

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 30 Apr 2012 20:04:50 +0200

pgagent (3.0.1-1) unstable; urgency=low

  * New upstream release, relicensed from Artistic License to BSD License, no
    other changes.
  * Switched Priority from extra to optional which is in the overrides file
    anyway.
  * Bumped Standards-Version to 3.8.3.
  * Add README.source referencing quilt's one.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 10 Sep 2009 21:45:42 +0200

pgagent (3.0.0-1) unstable; urgency=low

  * Initial release of pgagent in split source from pgadmin3.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 05 Jul 2009 18:40:01 +0200
