=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), cmake, libwxbase3.0-dev | libwxgtk2.8-dev, libpq-dev (>= 8.1),
 postgresql-server-dev-all
Standards-Version: 3.9.5
Homepage: http://www.pgadmin.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgagent.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgagent.git
XS-Testsuite: autopkgtest

Package: pgagent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pgadmin3
Description: job scheduler for PostgreSQL
 Introduced in pgAdmin III v1.4, pgAgent is a job scheduling agent for
 PostgreSQL, capable of running multi-step batch/shell and SQL tasks on
 complex schedules.
XB-Postgresql-Version: ${Postgresql:Version}
