=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://ftp.postgresql.org/pub/pgadmin3/release/pgagent/  pgAgent-(.*)-Source.tar.gz
