=== debian/changelog ===
pgagent (3.4.1-5build1) bionic; urgency=high

  * No change rebuild against postgresql 10 on ppc64el as it was built
    against 9.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 20 Nov 2017 15:28:47 +0000

pgagent (3.4.1-5) unstable; urgency=medium

  * Team upload for PostgreSQL 10.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 15:15:50 +0200

pgagent (3.4.1-4) unstable; urgency=medium

  * Relicense debian/ to the same terms as the package itself. Thanks Rhonda!

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 21:02:10 +0100

pgagent (3.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/tests/control.in: Depend on postgresql-PGVERSION. (We also have
    debian/control.in now because pgxs_debian_control.mk insists on it.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 30 Sep 2016 11:53:04 +0200

pgagent (3.4.1-2) unstable; urgency=medium

  * Rebuild for PostgreSQL 9.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jan 2016 21:34:21 +0100

pgagent (3.4.1-1) unstable; urgency=medium

  * New upstream release found on github.
    + Fixes crash on parsing error messages.  (Closes: #781105)
  * Extend watch file with github release url.

 -- Christoph Berg <myon@debian.org>  Sun, 20 Dec 2015 09:02:05 +0100
