=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pgagent
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libwxbase3.0-dev | libwxgtk2.8-dev, libpq-dev (>= 8.1),
  postgresql-server-dev-all
-Standards-Version: 3.9.5
+Standards-Version: 4.1.0
 Homepage: http://www.pgadmin.org/
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgagent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgagent.git
@@ -20,3 +21,4 @@
  PostgreSQL, capable of running multi-step batch/shell and SQL tasks on
  complex schedules.
 XB-Postgresql-Version: ${Postgresql:Version}
+
