=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/postgres/pgagent/releases .*/REL-(.*).tar.gz

http://ftp.postgresql.org/pub/pgadmin3/release/pgagent/  pgAgent-(.*)-Source.tar.gz
