=== debian/changelog ===
pgagent (4.0.0-8+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add debian/patches/CVE-2025-0218.patch (Closes: #1092677)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Oct 2025 12:12:58 +0000

pgagent (4.0.0-8) unstable; urgency=medium

  * R³: no.
  * Skip tests on hurd-i386.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 14:26:24 +0200

pgagent (4.0.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Update standards version to 4.2.1, no changes needed.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Submit.

  [ Christoph Berg ]
  * Update upstream URL in watch file.
  * Upload for PostgreSQL 13.
  * DH 13.
  * Run tests at build-time as well.
  * Move dependency on postgresql-NN to recommends.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Skip tests of unsupported PostgreSQL versions.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 12:26:09 +0200

pgagent (4.0.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:57:17 +0100

pgagent (4.0.0-5) unstable; urgency=medium

  * Depend on PostgreSQL server package. (Closes: #913827)
  * Test-depend on postgresql-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Nov 2018 13:49:45 +0100

pgagent (4.0.0-4) unstable; urgency=medium

  * Add debian/tests/control.in: We do not depend on a specific server
    version, yet we only install extension files for specific versions.
    Test-depending on postgresql-all is not enough, because if the
    dependencies of that package change, we suddenly fail tests. Test-depend
    on postgresql-PGVERSION to fix. (Add debian/control.in along, because
    pg_buildext doesn't support d/t/c.in without d/c.in.)

 -- Christoph Berg <myon@debian.org>  Sun, 21 Oct 2018 22:28:59 +0200

pgagent (4.0.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 16 Oct 2018 10:45:45 +0200

pgagent (4.0.0-2) unstable; urgency=medium

  * Link with -pthread to fix FTBFS on non-x86.
  * Minimum required cmake version is 3.3.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Jul 2018 21:14:06 +0200

pgagent (4.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Package switched from wx to boost.
  * Update manpage.
  * Don't install upstream README, LICENSE and pgagent.sql.
  * Provide postgresql-*-pgagent.
  * Suggest pgadmin4 as well.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Jul 2018 22:48:54 +0200
