=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 cmake (>= 3.3),
 debhelper-compat (= 13),
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libpq-dev (>= 8.1),
 postgresql-all,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pgadmin.org/docs/dev/pgagent.html
Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgagent

Package: pgagent
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ${Postgresql:Recommends},
Provides: ${Postgresql:Provides}
Suggests: pgadmin3 | pgadmin4
Description: job scheduling engine for PostgreSQL
 pgAgent is a job scheduling agent for PostgreSQL, capable of running
 multi-step batch/shell and SQL tasks on complex schedules.
