## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg18.04+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

pgagent (4.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 16:23:31 +0200

pgagent (4.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Sep 2021 17:35:23 +0200
