=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake (>= 3.3),
- debhelper-compat (= 13),
+ debhelper (>= 11),
  libboost-date-time-dev,
  libboost-dev,
  libboost-filesystem-dev,
